Bug 169251 - startconsole produces java.io.IOException: Permission denied
startconsole produces java.io.IOException: Permission denied
Status: CLOSED NEXTRELEASE
Product: 389
Classification: Community
Component: Directory Console (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-26 04:20 EDT by Elson, Del
Modified: 2015-01-04 18:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 13:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elson, Del 2005-09-26 04:20:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
Running /opt/fedora-ds/startconsole as a non-root user produces the following Java exception:

WARNING: java.io.IOException: Permission denied
java.lang.SecurityException: Could not lock User prefs. Lock file access denied.
        at java.util.prefs.FileSystemPreferences.checkLockFile0ErrorCode(FileSystemPreferences.java:937)
...


Version-Release number of selected component (if applicable):
fedora-ds-7.1-2.RHEL4

How reproducible:
Always

Steps to Reproduce:
1. Run /opt/fedora-ds/startconsole as a non-root user
  

Actual Results:  WARNING: java.io.IOException: Permission denied
java.lang.SecurityException: Could not lock User prefs. Lock file access denied.
        at java.util.prefs.FileSystemPreferences.checkLockFile0ErrorCode(FileSystemPreferences.java:937)
...


Expected Results:  No java errors

Additional info:

chmod a+w +t /opt/fedora-ds/java/.java/.userPrefs makes this error go away.  Apparently this is the directory in which user preferences are stored, but it is not world-writeable.

Perhaps the binary RPM should ensure this directory is created with the correct permissions.
Comment 2 Rich Megginson 2007-10-05 11:18:20 EDT
Nathan, do we still store prefs in this directory with the current code?
Comment 3 Nathan Kinder 2007-10-05 13:31:57 EDT
The current code stores the prefs in the user's home directory (under
~/.fedora-idm-console).  I'm closing this bug as it is no longer an issue.

Note You need to log in before you can comment on or make changes to this bug.